glibmm: Glib::SignalProxy< void(T...)> Class Template Reference

glibmm 2.89.0

Public Types | Public Member Functions | List of all members
Glib::SignalProxy< void(T...)> Class Template Reference

Proxy for signals with any number of arguments. More...

`#include <glibmm/signalproxy.h>`

Inheritance diagram for Glib::SignalProxy< void(T...)>:
[legend]

## Public Types
using | SlotType = sigc::slot<void(T...)>

## Public Member Functions
| SignalProxy (ObjectBase * obj, const SignalProxyInfo * info)
sigc::connection | connect (const SlotType & slot, bool after=true)
| Connects a signal handler to a signal.
sigc::connection | connect (SlotType && slot, bool after=true)
| Connects a signal handler to a signal.
Public Member Functions inherited from Glib::SignalProxyNormal
| ~SignalProxyNormal () noexcept
void | emission_stop ()
| Stops the current signal emission (not in libsigc++).
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase * obj)

## Additional Inherited Members
Protected Member Functions inherited from Glib::SignalProxyNormal
| SignalProxyNormal (Glib::ObjectBase * obj, const SignalProxyInfo * info)
| Creates a proxy for a signal that can be emitted by obj.
sigc::slot_base & | connect_impl_ (bool notify, const sigc::slot_base & slot, bool after)
| Connects a signal handler to a signal.
sigc::slot_base & | connect_impl_ (bool notify, sigc::slot_base && slot, bool after)
| Connects a signal handler to a signal.
Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase * | obj_

## Detailed Description

template<class... T>
class Glib::SignalProxy< void(T...)>

Proxy for signals with any number of arguments.

Use the connect() method, with sigc::mem_fun() or sigc::ptr_fun() to connect signal handlers to signals.

This is a specialization for signal handlers that return `void`.

## Member Typedef Documentation

## ◆ SlotType

template <class... T>

using Glib::SignalProxy< void(T...)>::SlotType = sigc::slot<void(T...)>

## Constructor & Destructor Documentation

## ◆ SignalProxy()

template <class... T>

Glib::SignalProxy< void(T...)>::SignalProxy | ( | ObjectBase * | obj,
|  | const SignalProxyInfo * | info )
| inline

## Member Function Documentation

## ◆ connect() [1/2]

template <class... T>

sigc::connection Glib::SignalProxy< void(T...)>::connect | ( | const SlotType & | slot,
|  | bool | after = true )
| inline

Connects a signal handler to a signal.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

By default, the signal handler will be called after the default signal handler. This is usually fine for signal handlers that don't return a value.

Parameters

  slot | The signal handler, usually created with sigc::mem_fun() or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

Returns
  A sigc::connection.

## ◆ connect() [2/2]

template <class... T>

sigc::connection Glib::SignalProxy< void(T...)>::connect | ( | SlotType && | slot,
|  | bool | after = true )
| inline

Connects a signal handler to a signal.

See also
  connect(const SlotType& slot, bool after).

Since glibmm 2.48